FESTIVAL(1)

NAME
festival_client - client access to festiva; text-to-speech server mode

SYNOPSIS
festival_client [options] [file0] [file1] ...

DESCRIPTION
Allows sending commands and/or test to a festival test-to-speech server. Festival may be started in server mode using the option --server festival-clinet allows waveforms ot be generated faster as not time is required for start up. See the festival manual for more details on recommended use.

OPTIONS

-q  Load no default setup files

--libdir <string>
    Set library directory pathname

-b  Run in batch mode (no interaction)

--batch
    Run in batch mode (no interaction)

--tts
    Synthesize text in files as speech no files means read from stdin (implies no interaction by default)

-i  Run in interactive mode (default)

--interactive
    Run in interactive mode (default)

--pipe
    Run in pipe mode, reading commands from stdin, but no prompt or return values are printed (default if stdin not a tty)

--language <string>
    Run in named language, default is english, spanish and welsh are available

--server
    Run in server mode waiting for clients of server_port (1314)

--script
    <ifile> Used in #! scripts, runs in batch mode on file and passes all other args to Scheme

--heap <int> {500000}
    Set size of Lisp heap, should not normally need to be changed from its default

-v  Display version number and exit

--version
    Display version number and exit

BUGS
This still isn't as general as it should be. It seems to require lots of special little options which suggests the general options aren't right.

AUTHOR
Alan W Black and Paul Taylor
(C) Centre for Speech Technology Research
University of Edinburgh
80 South Bridge
Edinburgh EH1 1HN
http://www.cstr.ed.ac.uk/projects/festival.html